Bug 1124964 (CVE-2014-5117) - CVE-2014-5117 tor: potential for traffic-confirmation attacks
Summary: CVE-2014-5117 tor: potential for traffic-confirmation attacks
Status: CLOSED ERRATA
Alias: CVE-2014-5117
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140730,repor...
Keywords: Security
Depends On: 1124965 1124966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 18:16 UTC by Vincent Danen
Modified: 2019-06-08 20:07 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-18 15:42:42 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-07-30 18:16:50 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-5117 to
the following vulnerability:

Name: CVE-2014-5117
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-5117
Assigned: 20140730
Reference: https://lists.torproject.org/pipermail/tor-announce/2014-July/000093.html
Reference: https://lists.torproject.org/pipermail/tor-announce/2014-July/000094.html
Reference: https://lists.torproject.org/pipermail/tor-talk/2014-July/034180.html
Reference: https://blog.torproject.org/blog/tor-security-advisory-relay-early-traffic-confirmation-attack
Reference: https://trac.torproject.org/projects/tor/ticket/1038

Tor before 0.2.4.23 and 0.2.5 before 0.2.5.6-alpha maintains a circuit
after an inbound RELAY_EARLY cell is received by a client, which makes
it easier for remote attackers to conduct traffic-confirmation attacks
by using the pattern of RELAY and RELAY_EARLY cells as a means of
communicating information about hidden service names.

Comment 1 Vincent Danen 2014-07-30 18:17:36 UTC
Created tor tracking bugs for this issue:

Affects: fedora-all [bug 1124965]
Affects: epel-all [bug 1124966]

Comment 2 Fedora Update System 2014-08-15 02:35:20 UTC
tor-0.2.4.23-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-08-15 02:57:13 UTC
tor-0.2.4.23-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.